Name:          at-spi2-core
Version:       2.42.0
Release:       2
Summary:       The At-Spi2 Core package is a part of the GNOME Accessibility Project.

License:       LGPLv2+
URL:           https://www.freedesktop.org/wiki/Accessibility/AT-SPI2/
Source0:       https://github.com/GNOME/at-spi2-core/archive/refs/tags/AT_SPI2_CORE_2_42_0.tar.gz

BuildRequires: meson gtk-doc libXi-devel glib2-devel libXtst-devel gettext
BuildRequires: dbus-devel gobject-introspection-devel systemd libxslt
Requires:      dbus

%description
At-Spi2 is a protocol over DBus, toolkit widgets use it to provide
their content to screen readers such as Orca.

The core that defines the protocol and starts the dbus accessibility
bus is at-spi2-core , the formal definition of RPCs is available as
xml files in at-spi2-core/xml/

%package       devel
Summary:       The header files and API documentation for %{name}
Requires:      at-spi2-core = %{version}-%{release}

%description   devel
The API documentation and header files of litabspi are included by %{name}-devel.

%package_help

%prep
%autosetup -n %{name}-AT_SPI2_CORE_2_42_0 -p1

%build
%meson -Ddbus_daemon=%{_bindir}/dbus-daemon -Ddbus-broker=%{_bindir}/dbus-broker -Ddefault_bus=dbus-broker -Ddocs=true
%meson_build

%install
%meson_install

%ldconfig_scriptlets

%files
%doc AUTHORS
%license COPYING
%{_datadir}/locale
%{_datadir}/defaults/at-spi2/accessibility.conf
%{_datadir}/dbus-1/services/org.a11y.Bus.service
%{_datadir}/dbus-1/accessibility-services/org.a11y.atspi.Registry.service
%dir %{_sysconfdir}/xdg/Xwayland-session.d
%{_sysconfdir}/xdg/Xwayland-session.d/00-at-spi
%{_libexecdir}/at-spi-bus-launcher
%{_libexecdir}/at-spi2-registryd
%{_libdir}/libatspi.so.*
%{_libdir}/girepository-1.0/*.typelib
%{_userunitdir}/at-spi-dbus-bus.service
%{_sysconfdir}/xdg/autostart/*

%files devel
%{_libdir}/pkgconfig/atspi-2.pc
%{_libdir}/libatspi.so
%{_datadir}/gir-1.0/*.gir
%{_includedir}/at-spi-2.0/atspi/*.h

%files help
%doc README
%{_datadir}/gtk-doc/html/libatspi

%changelog
* Sat Oct 22 2022 wangkerong <wangkerong@h-partners.com> - 2.42.0-2
- fix spell error in spec

* Wed Dec 01 2021 wangkerong <wangkerong@huawei.com> - 2.42.0-1
- update to 2.42.0 

* Thu Jan 21 2021 yanglu <yanglu60@huawei.com> - 2.39.1-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:upgrade to 2.39.1

* Wed Sep 9 2020 chengguipeng<chengguipeng1@huawei.com> - 2.36.0-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:modify source0 url

* Tue Jul 21 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.36.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:upgrade to 2.36.0

* Wed Jan 8 2020 openEuler Buildteam <buildteam@openeuler.org> - 2.34.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:upgrade to 2.34.0

* Tue Sep 3 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.32.1-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:upgrade to 2.32.1

* Thu Aug 22 2019 zhuguodong <zhuguodong7@huawei.com> - 2.30.0-2.h2
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:remove patch prefix

* Sun Dec 16 2018 liuxueping<liuxueping1@huawei.com> - 2.30.0-2.h1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix dbind doc build with meson

* Fri Sep 7 2018 openEuler Buildteam <buildteam@openeuler.org> - 2.30.1-1
- Package Init
